PATCH /v1/services/mlmodelServices/{id}
Update an ML Model Service
Update ML model service properties using JSON Patch
PATCH
PATCH /v1/services/mlmodelServices/{id}
Update an ML Model Service
Update an ML model service’s properties using JSON Merge Patch. You can update by ID or by fully qualified name.Update by ID
string
required
UUID of the ML model service to update.
Update by Name
UsePATCH /v1/services/mlmodelServices/name/{fqn} to update by fully qualified name.
string
required
Fully qualified name of the ML model service (e.g.,
mlflow_svc).Body Parameters
Send a JSON object with the fields to update. Only provided fields are changed.string
Updated description in Markdown format.
string
Updated display name.
object
Updated connection configuration.
array
Updated list of owner references.
array
Updated classification tags.
string
Updated domain FQN.
PATCH /v1/services/mlmodelServices/{id}
Returns
Returns the updated ML model service object with the new version number.Response
string
Unique identifier for the ML model service (UUID format).
string
ML model service name.
string
Fully qualified name of the service.
string
Updated description.
number
Incremented version number.